package annotation

import (
	"reflect"

	"git.loafle.net/loafer/annotation-go"
)

var RepositoryAnnotationType = reflect.TypeOf((*RepositoryAnnotation)(nil))

func init() {
	if err := annotation.Register(RepositoryAnnotationType); nil != err {
		panic(err)
	}
}

type RepositoryAnnotation struct {
	annotation.TypeAnnotation `@annotation:"@web:Repository"`

	Name string `json:"name"`
}
